<template>
  <div class="container">
    <b-modal id="confirm-modal" ref="confirm-modal" title="Confirmation" hide-footer>
      <p class="my-4">Confirmez-vous la commande ?</p>
      <button type="button" class="btn c-button c-button-clear mr-2" @click="order()">Oui</button>
      <button type="button" class="btn c-button ml-2" @click="closeModalOrder()">Non</button>
    </b-modal>
    <div class="row">
      <div class="col-sm-12 mt-4">
        <h2 class="c-title">Passer commande</h2>
        <p>C'est presque fini ! Veuillez remplir les informations ci dessous puis cliquez sur 'Valider'.
          Pour toutes questions, appelez le
        </p>
      </div>
    </div>
    <div class="row">
      <div class="col-sm-12">
        <h4 class="c-sub-title">Informations générales</h4>
        <form>
          <div class="row">
            <div class="col-sm-4">
              <div class="form-group">
                <label for="name">*Nom</label>
                <input type="text" v-model="name" class="form-control" id="name">
              </div>
            </div>
            <div class="col-sm-4">
              <div class="form-group">
                <label for="name">Adresse mail</label>
                <input type="email" v-model="email" class="form-control" id="name">
              </div>
            </div>
            <div class="col-sm-4">
              <div class="form-group">
                <label for="name">*Telephone</label>
                <input type="tel" v-model="phone" class="form-control" id="name">
              </div>
            </div>
          </div>
        </form>
        <h4 class="c-sub-title">Livraison</h4>
        <form>
          <div class="row">
            <div class="col-sm-4">
              <div class="form-group">
                <label for="adre">*Adresse de livraison</label>
                <input type="text" v-model="adress" class="form-control" id="adre">
              </div>
            </div>
            <div class="col-sm-4">
              <div class="form-group">
                <label for="cp">*Code Postal</label>
                <input type="text" v-model="CP" class="form-control" id="cp">
              </div>
            </div>
            <div class="col-sm-4">
              <div class="form-group">
                <label for="city">*Ville</label>
                <input type="text" v-model="city" class="form-control" id="city">
              </div>
            </div>
            <div class="col-sm-12">
              <div class="form-group">
                <label for="comment">Commentaires</label>
                <textarea class="form-control" v-model="comments" id="comment" rows="3"></textarea>
              </div>
            </div>
          </div>
        </form>
        <div class="row">
          <div class="col-sm-12">
            <h4 class="c-sub-title">Résumé de la commande</h4>
          </div>
          <div class="col-sm-12">
            <table class="table c-table">
              <thead class="c-table-header">
                <tr>
                  <th>Produit</th>
                  <th>Prix unitaire</th>
                  <th>Quantité</th>
                  <th>Prix</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="item in cart" :key="item._id">
                  <td>
                    {{ item.name }}
                  </td>
                  <td>
                    {{ item.price }}€
                  </td>
                  <td>
                    {{ item.quantity }}
                  </td>
                  <td>
                    {{ item.totalProductPrice }}€
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
        <div class="row">
          <div v-if="error" class="col-sm-12">
            <div class="alert alert-danger" role="alert">
              Veuillez renseigner tous les champs
            </div>
          </div>
          <div class="col-sm-12">
            <button type="button" @click="goToCart()" class="btn c-button mr-4"><strong>Revenir au panier</strong></button>
            <button type="button" @click="openModalOrder()" class="btn c-button-clear ml-4"><strong>Valider</strong></button>
          </div>
        </div>
      </div>
    </div>

  </div>
</template>

<script src="./Commande.js"></script>
<style lang="scss" scoped src="./Commande.scoped.scss"></style>
<style lang="scss" src="./Commande.scss"></style>
